using System;
using System.Reflection;
using System.Collections.Generic;
using System.Text;

namespace SecondaryCode
{
   public class Class1 : MarshalByRefObject
   {
      public void DoWork()
      {
         Console.WriteLine("[{0}] wykonuje pewną pracę.",
            AppDomain.CurrentDomain.FriendlyName);
         Console.WriteLine("Wartość dostępna w całej domenie [{0}] to {1}",
            AppDomain.CurrentDomain.FriendlyName,
            AppDomain.CurrentDomain.GetData("WARTOŚĆ"));
         Console.WriteLine("Domena ta ma obecnie załadowanych zestawów: {0}.",
            AppDomain.CurrentDomain.GetAssemblies().Length.ToString());
         foreach (Assembly a in AppDomain.CurrentDomain.GetAssemblies())
         {
            Console.WriteLine("\t{0}", a.GetName().Name);
         }
      }
   }
}
